import { Readable, Writable } from "svelte/store";
export declare type UndoRedoStore<T> = Writable<T> & {
    readonly undo: () => void;
    readonly redo: () => void;
    readonly clear: () => void;
    readonly canUndo: Readable<boolean>;
    readonly canRedo: Readable<boolean>;
};
export declare function undoStore<T>(store: Writable<T>): UndoRedoStore<T>;
