import { Readable, Writable } from 'svelte/store';
declare type RecordUnknown = Record<symbol, unknown> | {
    readonly [index: number]: unknown;
};
export declare type Substore<T> = Writable<T> & {
    readonly errors: Readable<unknown>;
    readonly delete: () => void;
};
export declare function subStore<T extends RecordUnknown, U>(store: Writable<T>, selector: (r: T) => U): Substore<U>;
export {};
